vdr/vdr/debian plugin-loader.sh

Tobias Grimm pkg-vdr-dvb-changes@lists.alioth.debian.org
Fri, 03 Sep 2004 10:49:41 +0000


Update of /cvsroot/pkg-vdr-dvb/vdr/vdr/debian
In directory haydn:/tmp/cvs-serv19144

Modified Files:
	plugin-loader.sh 
Log Message:
replaced missing  and 

Index: plugin-loader.sh
===================================================================
RCS file: /cvsroot/pkg-vdr-dvb/vdr/vdr/debian/plugin-loader.sh,v
retrieving revision 1.13
retrieving revision 1.14
diff -u -d -r1.13 -r1.14
--- plugin-loader.sh	1 Sep 2004 13:05:23 -0000	1.13
+++ plugin-loader.sh	3 Sep 2004 10:49:39 -0000	1.14
@@ -14,13 +14,16 @@
     local patchelvels
     local leftout
     local leftout2
+    local version
+    
+    version=`/usr/bin/vdr -V 2>/dev/null | grep '^vdr[- ]' | sed -e 's/.*(\(.*\)).*/\1/'`
 
     PLUGINS=""
 
     echo -ne "\nSearching for plugins:"
 
     # find installed plugins
-    installed_plugins=( `find $PLUGIN_DIR -maxdepth 1 -name "$PLUGIN_PREFIX*.so.$VERSION" -printf "%f " | sed "s/$PLUGIN_PREFIX\([^\.]\+\)\.so\.$VERSION/\1/g"` )
+    installed_plugins=( `find $PLUGIN_DIR -maxdepth 1 -name "$PLUGIN_PREFIX*.so.$version" -printf "%f " | sed "s/$PLUGIN_PREFIX\([^\.]\+\)\.so\.$version/\1/g"` )
 
     if [ "$PLUGIN_CHECK_PATCHLEVEL" == "yes" ]; then
 	# extract patchlevel info
@@ -43,7 +46,7 @@
 
         # move not startable plugins to $leftout2
         for (( i=${#installed_plugins[@]}, i-- ; i >= 0 ; i-- )); do
-            if ! $VDRPRG -V -L $PLUGIN_DIR -P ${installed_plugins[$i]} \
+            if ! /usr/bin/vdr -V -L $PLUGIN_DIR -P ${installed_plugins[$i]} \
                 2>/dev/null | grep -q "^${installed_plugins[$i]} "; then
                 leftout2="${leftout2} ${installed_plugins[$i]}"
                 unset installed_plugins[$i]